"use strict";
const common_vendor = require("../../common/vendor.js");
const ME_activities_list_method = require("./method.js");
const ME_activities_list_model = require("./model.js");
const common_libraries_day = require("../../common/libraries/day.js");
const gen_Enums = require("../../gen/Enums.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/libraries/setTabBar.js");
require("../../common/libraries/apiLoading.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_hs_tabs2 = common_vendor.resolveComponent("hs-tabs");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  (_easycom_hs_tabs2 + _easycom_uni_icons2 + _easycom_hs_enum_tag2 + _easycom_cc_scroll_loading2)();
}
const _easycom_hs_tabs = () => "../../components/hs-tabs/hs-tabs.js";
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_enum_tag = () => "../../components/hs-enum-tag/hs-enum-tag.js";
const _easycom_cc_scroll_loading = () => "../../common/components/cc-scroll-loading/cc-scroll-loading.js";
if (!Math) {
  (_easycom_hs_tabs + _easycom_uni_icons + _easycom_hs_enum_tag + _easycom_cc_scroll_loading)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const list = [
      { label: "已报名", value: "Success" },
      { label: "已取消", value: "Cancelled" }
    ];
    const toDetaile = (e) => {
      var _a;
      common_vendor.index.navigateTo({
        url: `/INDEX/activities_show/index?id=${(_a = e == null ? void 0 : e.activity) == null ? void 0 : _a.id}`
      });
    };
    common_vendor.onShow(() => {
      var _a;
      ME_activities_list_model.useModel.listData.value = [];
      ME_activities_list_model.useModel.formData.value.page = 1;
      (_a = ME_activities_list_method.method) == null ? void 0 : _a.getList();
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f;
      return {
        a: common_vendor.o((_a = common_vendor.unref(ME_activities_list_method.method)) == null ? void 0 : _a.handleTabsChange),
        b: common_vendor.p({
          list,
          current: common_vendor.unref(ME_activities_list_model.useModel).currentTabs.value
        }),
        c: common_vendor.f((_c = (_b = common_vendor.unref(ME_activities_list_model.useModel)) == null ? void 0 : _b.listData) == null ? void 0 : _c.value, (i, index, i0) => {
          var _a2, _b2, _c2, _d2, _e2, _f2, _g, _h, _i, _j, _k;
          return common_vendor.e({
            a: (_b2 = (_a2 = i == null ? void 0 : i.activity) == null ? void 0 : _a2.cover_image) == null ? void 0 : _b2.length
          }, ((_d2 = (_c2 = i == null ? void 0 : i.activity) == null ? void 0 : _c2.cover_image) == null ? void 0 : _d2.length) ? {
            b: (_f2 = (_e2 = i == null ? void 0 : i.activity) == null ? void 0 : _e2.cover_image[0]) == null ? void 0 : _f2.url
          } : {
            c: "39a6deaa-2-" + i0 + ",39a6deaa-1",
            d: common_vendor.p({
              type: "images",
              size: "60",
              color: "#eee"
            })
          }, {
            e: "39a6deaa-3-" + i0 + ",39a6deaa-1",
            f: common_vendor.p({
              value: (_g = i == null ? void 0 : i.activity) == null ? void 0 : _g.status,
              Enums: common_vendor.unref(gen_Enums.HouseChargeTasksStatusEnum)
            }),
            g: common_vendor.n(`event_item_status event_item_status_${(_h = i == null ? void 0 : i.activity) == null ? void 0 : _h.status}`),
            h: common_vendor.t((_i = i == null ? void 0 : i.activity) == null ? void 0 : _i.title),
            i: common_vendor.t(common_vendor.unref(common_libraries_day.showDay)((_j = i == null ? void 0 : i.activity) == null ? void 0 : _j.start_time)),
            j: common_vendor.t(common_vendor.unref(common_libraries_day.showDay)((_k = i == null ? void 0 : i.activity) == null ? void 0 : _k.end_time)),
            k: `item_${index}`,
            l: common_vendor.o(($event) => toDetaile(i), `item_${index}`)
          });
        }),
        d: common_vendor.o((_d = common_vendor.unref(ME_activities_list_method.method)) == null ? void 0 : _d.loadMore),
        e: common_vendor.p({
          meta: (_f = (_e = common_vendor.unref(ME_activities_list_model.useModel)) == null ? void 0 : _e.metaData) == null ? void 0 : _f.value
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/ME/activities_list/index.vue"]]);
wx.createPage(MiniProgramPage);
